Makefile.in 44 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228
  1. # Makefile.in generated by automake 1.15.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2017 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. build_triplet = @build@
  85. host_triplet = @host@
  86. target_triplet = @target@
  87. @ARCH_ARM_TRUE@am__append_1 = hwcap.cc
  88. @ARCH_X86_TRUE@am__append_2 = x86_sse.cc x86_avx.cc
  89. @ARCH_FUTEX_TRUE@am__append_3 = futex.cc
  90. subdir = .
  91. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  92. am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
  93. $(top_srcdir)/../config/asmcfi.m4 \
  94. $(top_srcdir)/../config/depstand.m4 \
  95. $(top_srcdir)/../config/enable.m4 \
  96. $(top_srcdir)/../config/futex.m4 \
  97. $(top_srcdir)/../config/hwcaps.m4 \
  98. $(top_srcdir)/../config/lead-dot.m4 \
  99. $(top_srcdir)/../config/mmap.m4 \
  100. $(top_srcdir)/../config/multi.m4 \
  101. $(top_srcdir)/../config/override.m4 \
  102. $(top_srcdir)/../config/stdint.m4 \
  103. $(top_srcdir)/../config/tls.m4 \
  104. $(top_srcdir)/../config/toolexeclibdir.m4 \
  105. $(top_srcdir)/../config/weakref.m4 \
  106. $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
  107. $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
  108. $(top_srcdir)/acinclude.m4 $(top_srcdir)/../libtool.m4 \
  109. $(top_srcdir)/../config/cet.m4 $(top_srcdir)/configure.ac
  110. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  111. $(ACLOCAL_M4)
  112. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  113. $(am__configure_deps)
  114. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  115. configure.lineno config.status.lineno
  116. mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
  117. CONFIG_HEADER = config.h
  118. CONFIG_CLEAN_FILES = libitm.spec
  119. CONFIG_CLEAN_VPATH_FILES =
  120. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  121. am__vpath_adj = case $$p in \
  122. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  123. *) f=$$p;; \
  124. esac;
  125. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  126. am__install_max = 40
  127. am__nobase_strip_setup = \
  128. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  129. am__nobase_strip = \
  130. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  131. am__nobase_list = $(am__nobase_strip_setup); \
  132. for p in $$list; do echo "$$p $$p"; done | \
  133. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  134. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  135. if (++n[$$2] == $(am__install_max)) \
  136. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  137. END { for (dir in files) print dir, files[dir] }'
  138. am__base_list = \
  139. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  140. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  141. am__uninstall_files_from_dir = { \
  142. test -z "$$files" \
  143. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  144. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  145. $(am__cd) "$$dir" && rm -f $$files; }; \
  146. }
  147. am__installdirs = "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" \
  148. "$(DESTDIR)$(toolexeclibdir)"
  149. LTLIBRARIES = $(toolexeclib_LTLIBRARIES)
  150. libitm_la_LIBADD =
  151. @ARCH_ARM_TRUE@am__objects_1 = hwcap.lo
  152. @ARCH_X86_TRUE@am__objects_2 = x86_sse.lo x86_avx.lo
  153. @ARCH_FUTEX_TRUE@am__objects_3 = futex.lo
  154. am_libitm_la_OBJECTS = aatree.lo alloc.lo alloc_c.lo alloc_cpp.lo \
  155. barrier.lo beginend.lo clone.lo eh_cpp.lo local.lo query.lo \
  156. retry.lo rwlock.lo useraction.lo util.lo sjlj.lo tls.lo \
  157. method-serial.lo method-gl.lo method-ml.lo $(am__objects_1) \
  158. $(am__objects_2) $(am__objects_3)
  159. libitm_la_OBJECTS = $(am_libitm_la_OBJECTS)
  160. AM_V_P = $(am__v_P_@AM_V@)
  161. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  162. am__v_P_0 = false
  163. am__v_P_1 = :
  164. AM_V_GEN = $(am__v_GEN_@AM_V@)
  165. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  166. am__v_GEN_0 = @echo " GEN " $@;
  167. am__v_GEN_1 =
  168. AM_V_at = $(am__v_at_@AM_V@)
  169. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  170. am__v_at_0 = @
  171. am__v_at_1 =
  172. DEFAULT_INCLUDES = -I.@am__isrc@
  173. depcomp = $(SHELL) $(top_srcdir)/../depcomp
  174. am__depfiles_maybe = depfiles
  175. am__mv = mv -f
  176. CPPASCOMPILE = $(CCAS) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  177. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CCASFLAGS) $(CCASFLAGS)
  178. AM_V_lt = $(am__v_lt_@AM_V@)
  179. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  180. am__v_lt_0 = --silent
  181. am__v_lt_1 =
  182. LTCPPASCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
  183. $(LIBTOOLFLAGS) --mode=compile $(CCAS) $(DEFS) \
  184. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  185. $(AM_CCASFLAGS) $(CCASFLAGS)
  186. AM_V_CPPAS = $(am__v_CPPAS_@AM_V@)
  187. am__v_CPPAS_ = $(am__v_CPPAS_@AM_DEFAULT_V@)
  188. am__v_CPPAS_0 = @echo " CPPAS " $@;
  189. am__v_CPPAS_1 =
  190. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  191. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  192. LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  193. $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  194. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  195. $(AM_CXXFLAGS) $(CXXFLAGS)
  196. AM_V_CXX = $(am__v_CXX_@AM_V@)
  197. am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  198. am__v_CXX_0 = @echo " CXX " $@;
  199. am__v_CXX_1 =
  200. CXXLD = $(CXX)
  201. CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  202. $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  203. $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  204. AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  205. am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  206. am__v_CXXLD_0 = @echo " CXXLD " $@;
  207. am__v_CXXLD_1 =
  208. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  209. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  210. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  211. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  212. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  213. $(AM_CFLAGS) $(CFLAGS)
  214. AM_V_CC = $(am__v_CC_@AM_V@)
  215. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  216. am__v_CC_0 = @echo " CC " $@;
  217. am__v_CC_1 =
  218. CCLD = $(CC)
  219. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  220. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  221. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  222. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  223. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  224. am__v_CCLD_0 = @echo " CCLD " $@;
  225. am__v_CCLD_1 =
  226. SOURCES = $(libitm_la_SOURCES)
  227. AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
  228. am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
  229. am__v_DVIPS_0 = @echo " DVIPS " $@;
  230. am__v_DVIPS_1 =
  231. AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
  232. am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
  233. am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
  234. am__v_MAKEINFO_1 =
  235. AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
  236. am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
  237. am__v_INFOHTML_0 = @echo " INFOHTML" $@;
  238. am__v_INFOHTML_1 =
  239. AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
  240. am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
  241. am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
  242. am__v_TEXI2DVI_1 =
  243. AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
  244. am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
  245. am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
  246. am__v_TEXI2PDF_1 =
  247. AM_V_texinfo = $(am__v_texinfo_@AM_V@)
  248. am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
  249. am__v_texinfo_0 = -q
  250. am__v_texinfo_1 =
  251. AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
  252. am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
  253. am__v_texidevnull_0 = > /dev/null
  254. am__v_texidevnull_1 =
  255. INFO_DEPS = libitm.info
  256. am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
  257. DVIS = libitm.dvi
  258. PDFS = libitm.pdf
  259. PSS = libitm.ps
  260. HTMLS = libitm.html
  261. TEXINFOS = libitm.texi
  262. TEXI2DVI = texi2dvi
  263. TEXI2PDF = $(TEXI2DVI) --pdf --batch
  264. MAKEINFOHTML = $(MAKEINFO) --html
  265. AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
  266. DVIPS = dvips
  267. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  268. ctags-recursive dvi-recursive html-recursive info-recursive \
  269. install-data-recursive install-dvi-recursive \
  270. install-exec-recursive install-html-recursive \
  271. install-info-recursive install-pdf-recursive \
  272. install-ps-recursive install-recursive installcheck-recursive \
  273. installdirs-recursive pdf-recursive ps-recursive \
  274. tags-recursive uninstall-recursive
  275. am__can_run_installinfo = \
  276. case $$AM_UPDATE_INFO_DIR in \
  277. n|no|NO) false;; \
  278. *) (install-info --version) >/dev/null 2>&1;; \
  279. esac
  280. HEADERS = $(nodist_toolexeclib_HEADERS)
  281. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  282. distclean-recursive maintainer-clean-recursive
  283. am__recursive_targets = \
  284. $(RECURSIVE_TARGETS) \
  285. $(RECURSIVE_CLEAN_TARGETS) \
  286. $(am__extra_recursive_targets)
  287. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  288. cscope
  289. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  290. $(LISP)config.h.in
  291. # Read a list of newline-separated strings from the standard input,
  292. # and print each of them once, without duplicates. Input order is
  293. # *not* preserved.
  294. am__uniquify_input = $(AWK) '\
  295. BEGIN { nonempty = 0; } \
  296. { items[$$0] = 1; nonempty = 1; } \
  297. END { if (nonempty) { for (i in items) print i; }; } \
  298. '
  299. # Make sure the list of sources is unique. This is necessary because,
  300. # e.g., the same source file might be shared among _SOURCES variables
  301. # for different programs/libraries.
  302. am__define_uniq_tagged_files = \
  303. list='$(am__tagged_files)'; \
  304. unique=`for i in $$list; do \
  305. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  306. done | $(am__uniquify_input)`
  307. ETAGS = etags
  308. CTAGS = ctags
  309. CSCOPE = cscope
  310. DIST_SUBDIRS = $(SUBDIRS)
  311. ACLOCAL = @ACLOCAL@
  312. AMTAR = @AMTAR@
  313. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  314. AR = @AR@
  315. AUTOCONF = @AUTOCONF@
  316. AUTOHEADER = @AUTOHEADER@
  317. AUTOMAKE = @AUTOMAKE@
  318. AWK = @AWK@
  319. CC = @CC@
  320. CCAS = @CCAS@
  321. CCASDEPMODE = @CCASDEPMODE@
  322. CCASFLAGS = @CCASFLAGS@
  323. CCDEPMODE = @CCDEPMODE@
  324. CFLAGS = @CFLAGS@
  325. CPP = @CPP@
  326. CPPFLAGS = @CPPFLAGS@
  327. CXX = @CXX@
  328. CXXCPP = @CXXCPP@
  329. CXXDEPMODE = @CXXDEPMODE@
  330. CXXFLAGS = @CXXFLAGS@
  331. CYGPATH_W = @CYGPATH_W@
  332. DEFS = @DEFS@
  333. DEPDIR = @DEPDIR@
  334. DSYMUTIL = @DSYMUTIL@
  335. DUMPBIN = @DUMPBIN@
  336. ECHO_C = @ECHO_C@
  337. ECHO_N = @ECHO_N@
  338. ECHO_T = @ECHO_T@
  339. EGREP = @EGREP@
  340. EXEEXT = @EXEEXT@
  341. FGREP = @FGREP@
  342. GREP = @GREP@
  343. HWCAP_LDFLAGS = @HWCAP_LDFLAGS@
  344. INSTALL = @INSTALL@
  345. INSTALL_DATA = @INSTALL_DATA@
  346. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  347. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  348. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  349. LD = @LD@
  350. LDFLAGS = @LDFLAGS@
  351. LIBOBJS = @LIBOBJS@
  352. LIBS = @LIBS@
  353. LIBTOOL = @LIBTOOL@
  354. LIPO = @LIPO@
  355. LN_S = @LN_S@
  356. LTLIBOBJS = @LTLIBOBJS@
  357. MAINT = @MAINT@
  358. MAKEINFO = @MAKEINFO@
  359. MKDIR_P = @MKDIR_P@
  360. NM = @NM@
  361. NMEDIT = @NMEDIT@
  362. OBJDUMP = @OBJDUMP@
  363. OBJEXT = @OBJEXT@
  364. OPT_LDFLAGS = @OPT_LDFLAGS@
  365. OTOOL = @OTOOL@
  366. OTOOL64 = @OTOOL64@
  367. PACKAGE = @PACKAGE@
  368. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  369. PACKAGE_NAME = @PACKAGE_NAME@
  370. PACKAGE_STRING = @PACKAGE_STRING@
  371. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  372. PACKAGE_URL = @PACKAGE_URL@
  373. PACKAGE_VERSION = @PACKAGE_VERSION@
  374. PATH_SEPARATOR = @PATH_SEPARATOR@
  375. PERL = @PERL@
  376. RANLIB = @RANLIB@
  377. SECTION_LDFLAGS = @SECTION_LDFLAGS@
  378. SED = @SED@
  379. SET_MAKE = @SET_MAKE@
  380. SHELL = @SHELL@
  381. STRIP = @STRIP@
  382. VERSION = @VERSION@
  383. XCFLAGS = @XCFLAGS@
  384. XLDFLAGS = @XLDFLAGS@
  385. abs_builddir = @abs_builddir@
  386. abs_srcdir = @abs_srcdir@
  387. abs_top_builddir = @abs_top_builddir@
  388. abs_top_srcdir = @abs_top_srcdir@
  389. ac_ct_CC = @ac_ct_CC@
  390. ac_ct_CXX = @ac_ct_CXX@
  391. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  392. am__include = @am__include@
  393. am__leading_dot = @am__leading_dot@
  394. am__quote = @am__quote@
  395. am__tar = @am__tar@
  396. am__untar = @am__untar@
  397. bindir = @bindir@
  398. build = @build@
  399. build_alias = @build_alias@
  400. build_cpu = @build_cpu@
  401. build_os = @build_os@
  402. build_vendor = @build_vendor@
  403. builddir = @builddir@
  404. config_path = @config_path@
  405. datadir = @datadir@
  406. datarootdir = @datarootdir@
  407. docdir = @docdir@
  408. dvidir = @dvidir@
  409. enable_shared = @enable_shared@
  410. enable_static = @enable_static@
  411. exec_prefix = @exec_prefix@
  412. get_gcc_base_ver = @get_gcc_base_ver@
  413. host = @host@
  414. host_alias = @host_alias@
  415. host_cpu = @host_cpu@
  416. host_os = @host_os@
  417. host_vendor = @host_vendor@
  418. htmldir = @htmldir@
  419. includedir = @includedir@
  420. infodir = @infodir@
  421. install_sh = @install_sh@
  422. libdir = @libdir@
  423. libexecdir = @libexecdir@
  424. libtool_VERSION = @libtool_VERSION@
  425. link_itm = @link_itm@
  426. localedir = @localedir@
  427. localstatedir = @localstatedir@
  428. mandir = @mandir@
  429. mkdir_p = @mkdir_p@
  430. multi_basedir = @multi_basedir@
  431. oldincludedir = @oldincludedir@
  432. pdfdir = @pdfdir@
  433. prefix = @prefix@
  434. program_transform_name = @program_transform_name@
  435. psdir = @psdir@
  436. sbindir = @sbindir@
  437. sharedstatedir = @sharedstatedir@
  438. srcdir = @srcdir@
  439. sysconfdir = @sysconfdir@
  440. target = @target@
  441. target_alias = @target_alias@
  442. target_cpu = @target_cpu@
  443. target_os = @target_os@
  444. target_vendor = @target_vendor@
  445. toolexecdir = @toolexecdir@
  446. toolexeclibdir = @toolexeclibdir@
  447. top_build_prefix = @top_build_prefix@
  448. top_builddir = @top_builddir@
  449. top_srcdir = @top_srcdir@
  450. AUTOMAKE_OPTIONS = info-in-builddir
  451. ACLOCAL_AMFLAGS = -I .. -I ../config
  452. SUBDIRS = testsuite
  453. gcc_version := $(shell @get_gcc_base_ver@ $(top_srcdir)/../gcc/BASE-VER)
  454. abi_version = -fabi-version=4
  455. search_path = $(addprefix $(top_srcdir)/config/, $(config_path)) $(top_srcdir)
  456. libsubincludedir = $(libdir)/gcc/$(target_alias)/$(gcc_version)/include
  457. AM_CPPFLAGS = $(addprefix -I, $(search_path))
  458. AM_CFLAGS = $(XCFLAGS)
  459. AM_CXXFLAGS = $(XCFLAGS) -std=gnu++0x -funwind-tables -fno-exceptions \
  460. -fno-rtti $(abi_version)
  461. AM_CCASFLAGS = $(XCFLAGS)
  462. AM_LDFLAGS = $(XLDFLAGS) $(SECTION_LDFLAGS) $(OPT_LDFLAGS) $(HWCAP_LDFLAGS)
  463. toolexeclib_LTLIBRARIES = libitm.la
  464. nodist_toolexeclib_HEADERS = libitm.spec
  465. @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_script =
  466. @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,--version-script,$(top_srcdir)/libitm.map
  467. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_script = -Wl,-M,libitm.map-sun
  468. @LIBITM_BUILD_VERSIONED_SHLIB_FALSE@libitm_version_dep =
  469. @LIBITM_BUILD_VERSIONED_SHLIB_GNU_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = $(top_srcdir)/libitm.map
  470. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm_version_dep = libitm.map-sun
  471. libitm_version_info = -version-info $(libtool_VERSION)
  472. # Force link with C, not C++. For now, while we're using C++ we don't
  473. # want or need libstdc++.
  474. libitm_la_DEPENDENCIES = $(libitm_version_dep)
  475. libitm_la_LINK = $(LINK) $(libitm_la_LDFLAGS)
  476. libitm_la_LDFLAGS = $(libitm_version_info) $(libitm_version_script)
  477. libitm_la_SOURCES = aatree.cc alloc.cc alloc_c.cc alloc_cpp.cc \
  478. barrier.cc beginend.cc clone.cc eh_cpp.cc local.cc query.cc \
  479. retry.cc rwlock.cc useraction.cc util.cc sjlj.S tls.cc \
  480. method-serial.cc method-gl.cc method-ml.cc $(am__append_1) \
  481. $(am__append_2) $(am__append_3)
  482. # Automake Documentation:
  483. # If your package has Texinfo files in many directories, you can use the
  484. # variable TEXINFO_TEX to tell Automake where to find the canonical
  485. # `texinfo.tex' for your package. The value of this variable should be
  486. # the relative path from the current `Makefile.am' to `texinfo.tex'.
  487. TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
  488. # Defines info, dvi, pdf and html targets
  489. MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
  490. info_TEXINFOS = libitm.texi
  491. @GENINSRC_FALSE@STAMP_GENINSRC =
  492. # AM_CONDITIONAL on configure option --generated-files-in-srcdir
  493. @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
  494. @BUILD_INFO_FALSE@STAMP_BUILD_INFO =
  495. # AM_CONDITIONAL on configure check ACX_CHECK_PROG_VER([MAKEINFO])
  496. @BUILD_INFO_TRUE@STAMP_BUILD_INFO = stamp-build-info
  497. CLEANFILES = $(STAMP_GENINSRC) $(STAMP_BUILD_INFO)
  498. MAINTAINERCLEANFILES = $(srcdir)/libitm.info
  499. MULTISRCTOP =
  500. MULTIBUILDTOP =
  501. MULTIDIRS =
  502. MULTISUBDIR =
  503. MULTIDO = true
  504. MULTICLEAN = true
  505. all: config.h
  506. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  507. .SUFFIXES:
  508. .SUFFIXES: .S .cc .dvi .lo .o .obj .ps
  509. am--refresh: Makefile
  510. @:
  511. $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/../multilib.am $(am__configure_deps)
  512. @for dep in $?; do \
  513. case '$(am__configure_deps)' in \
  514. *$$dep*) \
  515. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  516. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  517. && exit 0; \
  518. exit 1;; \
  519. esac; \
  520. done; \
  521. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  522. $(am__cd) $(top_srcdir) && \
  523. $(AUTOMAKE) --foreign Makefile
  524. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  525. @case '$?' in \
  526. *config.status*) \
  527. echo ' $(SHELL) ./config.status'; \
  528. $(SHELL) ./config.status;; \
  529. *) \
  530. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  531. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  532. esac;
  533. $(top_srcdir)/../multilib.am $(am__empty):
  534. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  535. $(SHELL) ./config.status --recheck
  536. $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  537. $(am__cd) $(srcdir) && $(AUTOCONF)
  538. $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  539. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  540. $(am__aclocal_m4_deps):
  541. config.h: stamp-h1
  542. @test -f $@ || rm -f stamp-h1
  543. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  544. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  545. @rm -f stamp-h1
  546. cd $(top_builddir) && $(SHELL) ./config.status config.h
  547. $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  548. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  549. rm -f stamp-h1
  550. touch $@
  551. distclean-hdr:
  552. -rm -f config.h stamp-h1
  553. libitm.spec: $(top_builddir)/config.status $(srcdir)/libitm.spec.in
  554. cd $(top_builddir) && $(SHELL) ./config.status $@
  555. install-toolexeclibLTLIBRARIES: $(toolexeclib_LTLIBRARIES)
  556. @$(NORMAL_INSTALL)
  557. @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
  558. list2=; for p in $$list; do \
  559. if test -f $$p; then \
  560. list2="$$list2 $$p"; \
  561. else :; fi; \
  562. done; \
  563. test -z "$$list2" || { \
  564. echo " $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
  565. $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)" || exit 1; \
  566. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(toolexeclibdir)'"; \
  567. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(toolexeclibdir)"; \
  568. }
  569. uninstall-toolexeclibLTLIBRARIES:
  570. @$(NORMAL_UNINSTALL)
  571. @list='$(toolexeclib_LTLIBRARIES)'; test -n "$(toolexeclibdir)" || list=; \
  572. for p in $$list; do \
  573. $(am__strip_dir) \
  574. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(toolexeclibdir)/$$f'"; \
  575. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(toolexeclibdir)/$$f"; \
  576. done
  577. clean-toolexeclibLTLIBRARIES:
  578. -test -z "$(toolexeclib_LTLIBRARIES)" || rm -f $(toolexeclib_LTLIBRARIES)
  579. @list='$(toolexeclib_LTLIBRARIES)'; \
  580. locs=`for p in $$list; do echo $$p; done | \
  581. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  582. sort -u`; \
  583. test -z "$$locs" || { \
  584. echo rm -f $${locs}; \
  585. rm -f $${locs}; \
  586. }
  587. libitm.la: $(libitm_la_OBJECTS) $(libitm_la_DEPENDENCIES) $(EXTRA_libitm_la_DEPENDENCIES)
  588. $(AM_V_GEN)$(libitm_la_LINK) -rpath $(toolexeclibdir) $(libitm_la_OBJECTS) $(libitm_la_LIBADD) $(LIBS)
  589. mostlyclean-compile:
  590. -rm -f *.$(OBJEXT)
  591. distclean-compile:
  592. -rm -f *.tab.c
  593. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aatree.Plo@am__quote@
  594. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@
  595. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_c.Plo@am__quote@
  596. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc_cpp.Plo@am__quote@
  597. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/barrier.Plo@am__quote@
  598. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/beginend.Plo@am__quote@
  599. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clone.Plo@am__quote@
  600. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eh_cpp.Plo@am__quote@
  601. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/futex.Plo@am__quote@
  602. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwcap.Plo@am__quote@
  603. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/local.Plo@am__quote@
  604. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-gl.Plo@am__quote@
  605. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-ml.Plo@am__quote@
  606. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/method-serial.Plo@am__quote@
  607. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/query.Plo@am__quote@
  608. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/retry.Plo@am__quote@
  609. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rwlock.Plo@am__quote@
  610. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sjlj.Plo@am__quote@
  611. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tls.Plo@am__quote@
  612. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/useraction.Plo@am__quote@
  613. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
  614. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_avx.Plo@am__quote@
  615. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_sse.Plo@am__quote@
  616. .S.o:
  617. @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  618. @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  619. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  620. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  621. @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ $<
  622. .S.obj:
  623. @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(CPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  624. @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  625. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  626. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  627. @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(CPPASCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  628. .S.lo:
  629. @am__fastdepCCAS_TRUE@ $(AM_V_CPPAS)$(LTCPPASCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  630. @am__fastdepCCAS_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  631. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ $(AM_V_CPPAS)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  632. @AMDEP_TRUE@@am__fastdepCCAS_FALSE@ DEPDIR=$(DEPDIR) $(CCASDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  633. @am__fastdepCCAS_FALSE@ $(AM_V_CPPAS@am__nodep@)$(LTCPPASCOMPILE) -c -o $@ $<
  634. .cc.o:
  635. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  636. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  637. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  638. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  639. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  640. .cc.obj:
  641. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  642. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  643. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  644. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  645. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  646. .cc.lo:
  647. @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  648. @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  649. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  650. @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  651. @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  652. mostlyclean-libtool:
  653. -rm -f *.lo
  654. clean-libtool:
  655. -rm -rf .libs _libs
  656. distclean-libtool:
  657. -rm -f libtool config.lt
  658. libitm.dvi: libitm.texi
  659. $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  660. MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
  661. $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
  662. `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
  663. libitm.pdf: libitm.texi
  664. $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  665. MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
  666. $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
  667. `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi
  668. libitm.html: libitm.texi
  669. $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
  670. $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
  671. -o $(@:.html=.htp) `test -f 'libitm.texi' || echo '$(srcdir)/'`libitm.texi; \
  672. then \
  673. rm -rf $@ && mv $(@:.html=.htp) $@; \
  674. else \
  675. rm -rf $(@:.html=.htp); exit 1; \
  676. fi
  677. .dvi.ps:
  678. $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
  679. $(DVIPS) $(AM_V_texinfo) -o $@ $<
  680. uninstall-dvi-am:
  681. @$(NORMAL_UNINSTALL)
  682. @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
  683. for p in $$list; do \
  684. $(am__strip_dir) \
  685. echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
  686. rm -f "$(DESTDIR)$(dvidir)/$$f"; \
  687. done
  688. uninstall-html-am:
  689. @$(NORMAL_UNINSTALL)
  690. @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
  691. for p in $$list; do \
  692. $(am__strip_dir) \
  693. echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
  694. rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
  695. done
  696. uninstall-info-am:
  697. @$(PRE_UNINSTALL)
  698. @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
  699. list='$(INFO_DEPS)'; \
  700. for file in $$list; do \
  701. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  702. echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
  703. if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
  704. then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
  705. done; \
  706. else :; fi
  707. @$(NORMAL_UNINSTALL)
  708. @list='$(INFO_DEPS)'; \
  709. for file in $$list; do \
  710. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  711. relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
  712. (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
  713. echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
  714. rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
  715. else :; fi); \
  716. done
  717. uninstall-pdf-am:
  718. @$(NORMAL_UNINSTALL)
  719. @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
  720. for p in $$list; do \
  721. $(am__strip_dir) \
  722. echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
  723. rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
  724. done
  725. uninstall-ps-am:
  726. @$(NORMAL_UNINSTALL)
  727. @list='$(PSS)'; test -n "$(psdir)" || list=; \
  728. for p in $$list; do \
  729. $(am__strip_dir) \
  730. echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
  731. rm -f "$(DESTDIR)$(psdir)/$$f"; \
  732. done
  733. dist-info: $(INFO_DEPS)
  734. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  735. list='$(INFO_DEPS)'; \
  736. for base in $$list; do \
  737. case $$base in \
  738. $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
  739. esac; \
  740. if test -f $$base; then d=.; else d=$(srcdir); fi; \
  741. base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
  742. for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
  743. if test -f $$file; then \
  744. relfile=`expr "$$file" : "$$d/\(.*\)"`; \
  745. test -f "$(distdir)/$$relfile" || \
  746. cp -p $$file "$(distdir)/$$relfile"; \
  747. else :; fi; \
  748. done; \
  749. done
  750. mostlyclean-aminfo:
  751. -rm -rf libitm.t2d libitm.t2p
  752. clean-aminfo:
  753. -test -z "libitm.dvi libitm.pdf libitm.ps libitm.html" \
  754. || rm -rf libitm.dvi libitm.pdf libitm.ps libitm.html
  755. maintainer-clean-aminfo:
  756. @list='$(INFO_DEPS)'; for i in $$list; do \
  757. i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
  758. echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
  759. rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
  760. done
  761. install-nodist_toolexeclibHEADERS: $(nodist_toolexeclib_HEADERS)
  762. @$(NORMAL_INSTALL)
  763. @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
  764. if test -n "$$list"; then \
  765. echo " $(MKDIR_P) '$(DESTDIR)$(toolexeclibdir)'"; \
  766. $(MKDIR_P) "$(DESTDIR)$(toolexeclibdir)" || exit 1; \
  767. fi; \
  768. for p in $$list; do \
  769. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  770. echo "$$d$$p"; \
  771. done | $(am__base_list) | \
  772. while read files; do \
  773. echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(toolexeclibdir)'"; \
  774. $(INSTALL_HEADER) $$files "$(DESTDIR)$(toolexeclibdir)" || exit $$?; \
  775. done
  776. uninstall-nodist_toolexeclibHEADERS:
  777. @$(NORMAL_UNINSTALL)
  778. @list='$(nodist_toolexeclib_HEADERS)'; test -n "$(toolexeclibdir)" || list=; \
  779. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  780. dir='$(DESTDIR)$(toolexeclibdir)'; $(am__uninstall_files_from_dir)
  781. # This directory's subdirectories are mostly independent; you can cd
  782. # into them and run 'make' without going through this Makefile.
  783. # To change the values of 'make' variables: instead of editing Makefiles,
  784. # (1) if the variable is set in 'config.status', edit 'config.status'
  785. # (which will cause the Makefiles to be regenerated when you run 'make');
  786. # (2) otherwise, pass the desired values on the 'make' command line.
  787. $(am__recursive_targets):
  788. @fail=; \
  789. if $(am__make_keepgoing); then \
  790. failcom='fail=yes'; \
  791. else \
  792. failcom='exit 1'; \
  793. fi; \
  794. dot_seen=no; \
  795. target=`echo $@ | sed s/-recursive//`; \
  796. case "$@" in \
  797. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  798. *) list='$(SUBDIRS)' ;; \
  799. esac; \
  800. for subdir in $$list; do \
  801. echo "Making $$target in $$subdir"; \
  802. if test "$$subdir" = "."; then \
  803. dot_seen=yes; \
  804. local_target="$$target-am"; \
  805. else \
  806. local_target="$$target"; \
  807. fi; \
  808. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  809. || eval $$failcom; \
  810. done; \
  811. if test "$$dot_seen" = "no"; then \
  812. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  813. fi; test -z "$$fail"
  814. ID: $(am__tagged_files)
  815. $(am__define_uniq_tagged_files); mkid -fID $$unique
  816. tags: tags-recursive
  817. TAGS: tags
  818. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  819. set x; \
  820. here=`pwd`; \
  821. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  822. include_option=--etags-include; \
  823. empty_fix=.; \
  824. else \
  825. include_option=--include; \
  826. empty_fix=; \
  827. fi; \
  828. list='$(SUBDIRS)'; for subdir in $$list; do \
  829. if test "$$subdir" = .; then :; else \
  830. test ! -f $$subdir/TAGS || \
  831. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  832. fi; \
  833. done; \
  834. $(am__define_uniq_tagged_files); \
  835. shift; \
  836. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  837. test -n "$$unique" || unique=$$empty_fix; \
  838. if test $$# -gt 0; then \
  839. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  840. "$$@" $$unique; \
  841. else \
  842. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  843. $$unique; \
  844. fi; \
  845. fi
  846. ctags: ctags-recursive
  847. CTAGS: ctags
  848. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  849. $(am__define_uniq_tagged_files); \
  850. test -z "$(CTAGS_ARGS)$$unique" \
  851. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  852. $$unique
  853. GTAGS:
  854. here=`$(am__cd) $(top_builddir) && pwd` \
  855. && $(am__cd) $(top_srcdir) \
  856. && gtags -i $(GTAGS_ARGS) "$$here"
  857. cscope: cscope.files
  858. test ! -s cscope.files \
  859. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  860. clean-cscope:
  861. -rm -f cscope.files
  862. cscope.files: clean-cscope cscopelist
  863. cscopelist: cscopelist-recursive
  864. cscopelist-am: $(am__tagged_files)
  865. list='$(am__tagged_files)'; \
  866. case "$(srcdir)" in \
  867. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  868. *) sdir=$(subdir)/$(srcdir) ;; \
  869. esac; \
  870. for i in $$list; do \
  871. if test -f "$$i"; then \
  872. echo "$(subdir)/$$i"; \
  873. else \
  874. echo "$$sdir/$$i"; \
  875. fi; \
  876. done >> $(top_builddir)/cscope.files
  877. distclean-tags:
  878. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  879. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  880. check-am: all-am
  881. check: check-recursive
  882. all-am: Makefile $(INFO_DEPS) $(LTLIBRARIES) $(HEADERS) config.h \
  883. all-local
  884. installdirs: installdirs-recursive
  885. installdirs-am:
  886. for dir in "$(DESTDIR)$(toolexeclibdir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(toolexeclibdir)"; do \
  887. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  888. done
  889. install: install-recursive
  890. install-exec: install-exec-recursive
  891. install-data: install-data-recursive
  892. uninstall: uninstall-recursive
  893. install-am: all-am
  894. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  895. installcheck: installcheck-recursive
  896. install-strip:
  897. if test -z '$(STRIP)'; then \
  898. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  899. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  900. install; \
  901. else \
  902. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  903. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  904. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  905. fi
  906. mostlyclean-generic:
  907. clean-generic:
  908. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  909. distclean-generic:
  910. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  911. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  912. maintainer-clean-generic:
  913. @echo "This command is intended for maintainers to use"
  914. @echo "it deletes files that may require special tools to rebuild."
  915. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  916. clean: clean-recursive
  917. clean-am: clean-aminfo clean-generic clean-libtool clean-local \
  918. clean-toolexeclibLTLIBRARIES mostlyclean-am
  919. distclean: distclean-recursive
  920. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  921. -rm -rf ./$(DEPDIR)
  922. -rm -f Makefile
  923. distclean-am: clean-am distclean-compile distclean-generic \
  924. distclean-hdr distclean-libtool distclean-local distclean-tags
  925. dvi: dvi-recursive
  926. dvi-am: $(DVIS)
  927. html: html-recursive
  928. html-am: $(HTMLS)
  929. info: info-recursive
  930. info-am: $(INFO_DEPS)
  931. install-data-am: install-info-am
  932. install-dvi: install-dvi-recursive
  933. install-dvi-am: $(DVIS)
  934. @$(NORMAL_INSTALL)
  935. @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
  936. if test -n "$$list"; then \
  937. echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
  938. $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
  939. fi; \
  940. for p in $$list; do \
  941. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  942. echo "$$d$$p"; \
  943. done | $(am__base_list) | \
  944. while read files; do \
  945. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
  946. $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
  947. done
  948. install-exec-am: install-exec-local install-nodist_toolexeclibHEADERS \
  949. install-toolexeclibLTLIBRARIES
  950. install-html: install-html-recursive
  951. install-html-am: $(HTMLS)
  952. @$(NORMAL_INSTALL)
  953. @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
  954. if test -n "$$list"; then \
  955. echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
  956. $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
  957. fi; \
  958. for p in $$list; do \
  959. if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
  960. $(am__strip_dir) \
  961. d2=$$d$$p; \
  962. if test -d "$$d2"; then \
  963. echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
  964. $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
  965. echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
  966. $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
  967. else \
  968. list2="$$list2 $$d2"; \
  969. fi; \
  970. done; \
  971. test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
  972. while read files; do \
  973. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
  974. $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
  975. done; }
  976. install-info: install-info-recursive
  977. install-info-am: $(INFO_DEPS)
  978. @$(NORMAL_INSTALL)
  979. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  980. list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
  981. if test -n "$$list"; then \
  982. echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
  983. $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
  984. fi; \
  985. for file in $$list; do \
  986. case $$file in \
  987. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  988. esac; \
  989. if test -f $$file; then d=.; else d=$(srcdir); fi; \
  990. file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
  991. for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
  992. $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
  993. if test -f $$ifile; then \
  994. echo "$$ifile"; \
  995. else : ; fi; \
  996. done; \
  997. done | $(am__base_list) | \
  998. while read files; do \
  999. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
  1000. $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
  1001. @$(POST_INSTALL)
  1002. @if $(am__can_run_installinfo); then \
  1003. list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
  1004. for file in $$list; do \
  1005. relfile=`echo "$$file" | sed 's|^.*/||'`; \
  1006. echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
  1007. install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
  1008. done; \
  1009. else : ; fi
  1010. install-man:
  1011. install-pdf: install-pdf-recursive
  1012. install-pdf-am: $(PDFS)
  1013. @$(NORMAL_INSTALL)
  1014. @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
  1015. if test -n "$$list"; then \
  1016. echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
  1017. $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
  1018. fi; \
  1019. for p in $$list; do \
  1020. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  1021. echo "$$d$$p"; \
  1022. done | $(am__base_list) | \
  1023. while read files; do \
  1024. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
  1025. $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
  1026. install-ps: install-ps-recursive
  1027. install-ps-am: $(PSS)
  1028. @$(NORMAL_INSTALL)
  1029. @list='$(PSS)'; test -n "$(psdir)" || list=; \
  1030. if test -n "$$list"; then \
  1031. echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
  1032. $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
  1033. fi; \
  1034. for p in $$list; do \
  1035. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  1036. echo "$$d$$p"; \
  1037. done | $(am__base_list) | \
  1038. while read files; do \
  1039. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
  1040. $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
  1041. installcheck-am:
  1042. maintainer-clean: maintainer-clean-recursive
  1043. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  1044. -rm -rf $(top_srcdir)/autom4te.cache
  1045. -rm -rf ./$(DEPDIR)
  1046. -rm -f Makefile
  1047. maintainer-clean-am: distclean-am maintainer-clean-aminfo \
  1048. maintainer-clean-generic maintainer-clean-local
  1049. mostlyclean: mostlyclean-recursive
  1050. mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
  1051. mostlyclean-generic mostlyclean-libtool mostlyclean-local
  1052. pdf: pdf-recursive
  1053. pdf-am: $(PDFS)
  1054. ps: ps-recursive
  1055. ps-am: $(PSS)
  1056. uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
  1057. uninstall-nodist_toolexeclibHEADERS uninstall-pdf-am \
  1058. uninstall-ps-am uninstall-toolexeclibLTLIBRARIES
  1059. .MAKE: $(am__recursive_targets) all install-am install-strip
  1060. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am all-local \
  1061. am--refresh check check-am clean clean-aminfo clean-cscope \
  1062. clean-generic clean-libtool clean-local \
  1063. clean-toolexeclibLTLIBRARIES cscope cscopelist-am ctags \
  1064. ctags-am dist-info distclean distclean-compile \
  1065. distclean-generic distclean-hdr distclean-libtool \
  1066. distclean-local distclean-tags dvi dvi-am html html-am info \
  1067. info-am install install-am install-data install-data-am \
  1068. install-dvi install-dvi-am install-exec install-exec-am \
  1069. install-exec-local install-html install-html-am install-info \
  1070. install-info-am install-man install-nodist_toolexeclibHEADERS \
  1071. install-pdf install-pdf-am install-ps install-ps-am \
  1072. install-strip install-toolexeclibLTLIBRARIES installcheck \
  1073. installcheck-am installdirs installdirs-am maintainer-clean \
  1074. maintainer-clean-aminfo maintainer-clean-generic \
  1075. maintainer-clean-local mostlyclean mostlyclean-aminfo \
  1076. mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  1077. mostlyclean-local pdf pdf-am ps ps-am tags tags-am uninstall \
  1078. uninstall-am uninstall-dvi-am uninstall-html-am \
  1079. uninstall-info-am uninstall-nodist_toolexeclibHEADERS \
  1080. uninstall-pdf-am uninstall-ps-am \
  1081. uninstall-toolexeclibLTLIBRARIES
  1082. .PRECIOUS: Makefile
  1083. vpath % $(strip $(search_path))
  1084. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@libitm.map-sun : $(top_srcdir)/libitm.map \
  1085. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/../contrib/make_sunver.pl \
  1086. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS) $(libitm_la_LIBADD)
  1087. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ perl $(top_srcdir)/../contrib/make_sunver.pl \
  1088. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(top_srcdir)/libitm.map \
  1089. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ $(libitm_la_OBJECTS:%.lo=.libs/%.o) \
  1090. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ `echo $(libitm_la_LIBADD) | \
  1091. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ sed 's,/\([^/.]*\)\.la,/.libs/\1.a,g'` \
  1092. @LIBITM_BUILD_VERSIONED_SHLIB_SUN_TRUE@@LIBITM_BUILD_VERSIONED_SHLIB_TRUE@ > $@ || (rm -f $@ ; exit 1)
  1093. # Make sure -msse is appended at the end.
  1094. @ARCH_X86_TRUE@x86_sse.lo : override CXXFLAGS += -msse
  1095. # Make sure -mavx is appended at the end.
  1096. @ARCH_X86_AVX_TRUE@x86_avx.lo : override CXXFLAGS += -mavx
  1097. all-local: $(STAMP_GENINSRC)
  1098. stamp-geninsrc: libitm.info
  1099. cp -p $(top_builddir)/libitm.info $(srcdir)/libitm.info
  1100. @touch $@
  1101. libitm.info: $(STAMP_BUILD_INFO)
  1102. stamp-build-info: libitm.texi
  1103. $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) -o libitm.info $(srcdir)/libitm.texi
  1104. @touch $@
  1105. # GNU Make needs to see an explicit $(MAKE) variable in the command it
  1106. # runs to enable its job server during parallel builds. Hence the
  1107. # comments below.
  1108. all-multi:
  1109. $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
  1110. install-multi:
  1111. $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
  1112. mostlyclean-multi:
  1113. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
  1114. clean-multi:
  1115. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
  1116. distclean-multi:
  1117. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
  1118. maintainer-clean-multi:
  1119. $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
  1120. .MAKE .PHONY: all-multi clean-multi distclean-multi install-am \
  1121. install-multi maintainer-clean-multi mostlyclean-multi
  1122. install-exec-local: install-multi
  1123. all-local: all-multi
  1124. mostlyclean-local: mostlyclean-multi
  1125. clean-local: clean-multi
  1126. distclean-local: distclean-multi
  1127. maintainer-clean-local: maintainer-clean-multi
  1128. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1129. # Otherwise a system limit (for SysV at least) may be exceeded.
  1130. .NOEXPORT: